<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Dozent;

class WssFieldDozentDozInfoLinkHinzufuegen extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  protected function getFieldNichtBearbeitbar($datamodulWert, $isFormular, string $requestPrefix = '')
  {
    $value = parent::getFieldNichtBearbeitbar($datamodulWert, $isFormular, $requestPrefix);
    $doz = $datamodulWert->getDatamodulByName('dozent');
    $infoLink = $doz->getVarValue('dozinfoLink');
    if (!\is_null($infoLink) && !empty($infoLink)) {
      $link = $infoLink;
      if (isset($doz->referer)) {
        $link .= '&referer=' . $doz->referer . '&refererLabel=' . $doz->refererLabel;
      }
      $value = '<a class="dozinfolink" href="' . $link . '">' . $value . '</a>';
    }

    return $value;
  }
}